
From: David Woodhouse <dwmw2@infradead.org>

We should be checking checksums.  With certain Bluetooth hardware there are
failures which aren't caught otherwise.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/bluetooth/bnep/core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/bluetooth/bnep/core.c~check-checksums-for-bnep net/bluetooth/bnep/core.c
--- 25/net/bluetooth/bnep/core.c~check-checksums-for-bnep	2004-09-06 16:51:34.857566512 -0700
+++ 25-akpm/net/bluetooth/bnep/core.c	2004-09-06 16:51:34.860566056 -0700
@@ -384,7 +384,7 @@ static inline int bnep_rx_frame(struct b
 	
 	s->stats.rx_packets++;
 	nskb->dev       = dev;
-	nskb->ip_summed = CHECKSUM_UNNECESSARY;
+	nskb->ip_summed = CHECKSUM_NONE;
 	nskb->protocol  = eth_type_trans(nskb, dev);
 	netif_rx_ni(nskb);
 	return 0;
_
